createCompositionrat_run = function()

	local compositionrat_run = CreateCompositionSequence()
	local compositionDuration = 0.25
	compositionrat_run:SetDuration(compositionDuration)


	-- Layer Layer_1
	local element = CreateCompositionElement("data/Texture/Animations/rat_eating/r_head2.png")
	element:SetName("Layer_1")
	compositionrat_run:AddElement(element)
	element:SetHotSpot(33.5, 18.5)
	compositionrat_run:RegisterParentInfo("Layer_1", "Layer_9")
	element:SetXY(9.5, 32)

	element:SetScaleX(1)
	element:SetScaleY(1)
	element:SetOpacity(1)

	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.24849999248981)

	effector:SetKey(_TRACK_A, 0, 0)
	effector:SetKey(_TRACK_A, 0.2129999935627, 0)

	effector:Play()


	-- Layer Layer_2
	local element = CreateCompositionElement("data/Texture/Animations/rat_eating/root.png")
	element:SetName("Layer_2")
	compositionrat_run:AddElement(element)
	element:SetHotSpot(19.5, 62.5)
	element:SetParentElement(compositionrat_run)
	element:SetAngle(-0.17766841106966)
	element:SetOpacity(0)

	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.24849999248981)

	effector:SetKey(_TRACK_X, -0.24849999248981, 295)
	effector:SetKey(_TRACK_Y, -0.24849999248981, 356.841913677377)
	effector:SetKey(_TRACK_X, -0.14199999570847, 295)
	effector:SetKey(_TRACK_Y, -0.14199999570847, 374)
	effector:SetKey(_TRACK_X, -0.03549999892712, 295)
	effector:SetKey(_TRACK_Y, -0.03549999892712, 356.841913677377)
	effector:SetKey(_TRACK_X, 0, 295)
	effector:SetKey(_TRACK_Y, 0, 362.561824161395)
	effector:SetKey(_TRACK_X, 0.07099999785423, 295)
	effector:SetKey(_TRACK_Y, 0.07099999785423, 374)
	effector:SetKey(_TRACK_X, 0.17749999463558, 295)
	effector:SetKey(_TRACK_Y, 0.17749999463558, 356.841913677377)
	effector:SetKey(_TRACK_X, 0.2129999935627, 295)
	effector:SetKey(_TRACK_Y, 0.2129999935627, 356.841913677377)
	effector:SetKey(_TRACK_SX, 0, 1.048464822112)
	effector:SetKey(_TRACK_SY, 0, 0.92)
	effector:SetKey(_TRACK_SX, 0.07099999785423, 1)
	effector:SetKey(_TRACK_SY, 0.07099999785423, 1)
	effector:SetKey(_TRACK_SX, 0.10001709759235, 0.94374437652775)
	effector:SetKey(_TRACK_SY, 0.10001709759235, 0.8296929644224)
	effector:SetKey(_TRACK_SX, 0.15000828802586, 0.94374437652775)
	effector:SetKey(_TRACK_SY, 0.15000828802586, 0.85)
	effector:SetKey(_TRACK_SX, 0.17749999463558, 1)
	effector:SetKey(_TRACK_SY, 0.17749999463558, 1.04)
	effector:SetKey(_TRACK_SX, 0.2129999935627, 1.048464822112)
	effector:SetKey(_TRACK_SY, 0.2129999935627, 0.92)

	effector:Play()


	-- Layer Layer_3
	local element = CreateCompositionElement("data/Texture/Animations/rat_eating/r_head.png")
	element:SetName("Layer_3")
	compositionrat_run:AddElement(element)
	element:SetHotSpot(66, 19)
	compositionrat_run:RegisterParentInfo("Layer_3", "Layer_9")
	element:SetXY(24, 30.5)

	element:SetScaleX(1)
	element:SetScaleY(1)
	element:SetOpacity(1)

	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.24849999248981)

	effector:SetKey(_TRACK_A, 0, 0.52175325879796)
	effector:SetKey(_TRACK_A, 0.07099999785423, 0.80323739305148)
	effector:SetKey(_TRACK_A, 0.10649999678135, 0.6519529414804)
	effector:SetKey(_TRACK_A, 0.14199999570847, 0.24613411632039)
	effector:SetKey(_TRACK_A, 0.2129999935627, 0.52175325879796)

	effector:Play()


	-- Layer Layer_4
	local element = CreateCompositionElement("data/Texture/Animations/rat_eating/r_leg.png")
	element:SetName("Layer_4")
	compositionrat_run:AddElement(element)
	element:SetHotSpot(23.5, 18.5)
	compositionrat_run:RegisterParentInfo("Layer_4", "Layer_11")
	element:SetXY(64, 55)

	element:SetScaleX(1)
	element:SetScaleY(1)
	element:SetOpacity(1)

	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.24849999248981)

	effector:SetKey(_TRACK_A, 0, -0.48716423495082)
	effector:SetKey(_TRACK_A, 0.07099999785423, 0.77000006241301)
	effector:SetKey(_TRACK_A, 0.17749999463558, -1.11574638363273)
	effector:SetKey(_TRACK_A, 0.2129999935627, -1.11574638363273)

	effector:Play()


	-- Layer Layer_5
	local element = CreateCompositionElement("data/Texture/Animations/rat_eating/r_tail1.png")
	element:SetName("Layer_5")
	compositionrat_run:AddElement(element)
	element:SetHotSpot(33.5, 9.5)
	compositionrat_run:RegisterParentInfo("Layer_5", "Layer_11")
	element:SetXY(104, 62.5)

	element:SetScaleX(1)
	element:SetScaleY(1)

	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.24849999248981)

	effector:SetKey(_TRACK_A, 0, 0.12933088932352)
	effector:SetKey(_TRACK_A, 0.07099999785423, -0.37652515448918)
	effector:SetKey(_TRACK_A, 0.2129999935627, 0.12933088932352)
	effector:SetKey(_TRACK_O, 0.03549999892712, 1)
	effector:SetKey(_TRACK_O, 0.10649999678135, 0)
	effector:SetKey(_TRACK_O, 0.14199999570847, 0)
	effector:SetKey(_TRACK_O, 0.2129999935627, 1)

	effector:Play()


	-- Layer Layer_6
	local element = CreateCompositionElement("data/Texture/Animations/rat_eating/r_tail2.png")
	element:SetName("Layer_6")
	compositionrat_run:AddElement(element)
	element:SetHotSpot(29, 11)
	compositionrat_run:RegisterParentInfo("Layer_6", "Layer_11")
	element:SetXY(98, 61.5)

	element:SetScaleX(1)
	element:SetScaleY(1)

	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.24849999248981)

	effector:SetKey(_TRACK_A, 0, 0.0699405002345)
	effector:SetKey(_TRACK_A, 0.07099999785423, -0.12275397963196)
	effector:SetKey(_TRACK_A, 0.10649999678135, -0.18765856843355)
	effector:SetKey(_TRACK_A, 0.17749999463558, 0.16573238081243)
	effector:SetKey(_TRACK_A, 0.2129999935627, 0)
	effector:SetKey(_TRACK_O, 0.03549999892712, 0)
	effector:SetKey(_TRACK_O, 0.10649999678135, 1)
	effector:SetKey(_TRACK_O, 0.14199999570847, 0)

	effector:Play()


	-- Layer Layer_7
	local element = CreateCompositionElement("data/Texture/Animations/rat_eating/r_torse3.png")
	element:SetName("Layer_7")
	compositionrat_run:AddElement(element)
	element:SetHotSpot(27, 41.5)
	compositionrat_run:RegisterParentInfo("Layer_7", "Layer_11")
	element:SetXY(101, 61.5)

	element:SetScaleX(1)
	element:SetScaleY(1)

	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.24849999248981)

	effector:SetKey(_TRACK_A, 0, 0)
	effector:SetKey(_TRACK_A, 0.07099999785423, 0.33328815729073)
	effector:SetKey(_TRACK_A, 0.17749999463558, 0.41844025088108)
	effector:SetKey(_TRACK_A, 0.2129999935627, 0)
	effector:SetKey(_TRACK_O, 0.10649999678135, 0)
	effector:SetKey(_TRACK_O, 0.14199999570847, 1)
	effector:SetKey(_TRACK_O, 0.2129999935627, 0)

	effector:Play()


	-- Layer Layer_8
	local element = CreateCompositionElement("data/Texture/Animations/rat_eating/r_hand_front.png")
	element:SetName("Layer_8")
	compositionrat_run:AddElement(element)
	element:SetHotSpot(21.5, 16)
	compositionrat_run:RegisterParentInfo("Layer_8", "Layer_9")
	element:SetXY(31.5, 53.5)

	element:SetScaleX(1)
	element:SetScaleY(1)
	element:SetOpacity(1)

	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.24849999248981)

	effector:SetKey(_TRACK_A, 0, 0.56105035816694)
	effector:SetKey(_TRACK_A, 0.07099999785423, -0.76720511602636)
	effector:SetKey(_TRACK_A, 0.17749999463558, 1.22517809526359)
	effector:SetKey(_TRACK_A, 0.2129999935627, 0.56105035816694)

	effector:Play()


	-- Layer Layer_9
	local element = CreateCompositionElement("data/Texture/Animations/rat_eating/r_torse1.png")
	element:SetName("Layer_9")
	compositionrat_run:AddElement(element)
	element:SetHotSpot(58, 22)
	compositionrat_run:RegisterParentInfo("Layer_9", "Layer_2")
	element:SetXY(19, 49)

	element:SetScaleX(1)
	element:SetScaleY(1)
	element:SetOpacity(1)

	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.24849999248981)

	effector:SetKey(_TRACK_A, 0, 0.13195093576682)
	effector:SetKey(_TRACK_A, 0.10649999678135, -0.38374320813929)
	effector:SetKey(_TRACK_A, 0.2129999935627, 0.13195093576682)

	effector:Play()


	-- Layer Layer_10
	local element = CreateCompositionElement("data/Texture/Animations/rat_eating/r_hand_front2.png")
	element:SetName("Layer_10")
	compositionrat_run:AddElement(element)
	element:SetHotSpot(31, 19.5)
	compositionrat_run:RegisterParentInfo("Layer_10", "Layer_9")
	element:SetXY(27.0756777667416, 40.8888774217466)

	element:SetScaleX(1)
	element:SetScaleY(1)
	element:SetOpacity(1)

	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.24849999248981)

	effector:SetKey(_TRACK_A, 0, 0.69044903403582)
	effector:SetKey(_TRACK_A, 0.10649999678135, -0.86808503615487)
	effector:SetKey(_TRACK_A, 0.2129999935627, 0.69044903403582)

	effector:Play()


	-- Layer Layer_11
	local element = CreateCompositionElement("data/Texture/Animations/rat_eating/r_torse2.png")
	element:SetName("Layer_11")
	compositionrat_run:AddElement(element)
	element:SetHotSpot(42, 23.5)
	compositionrat_run:RegisterParentInfo("Layer_11", "Layer_2")
	element:SetXY(22, 52)

	element:SetScaleX(1)
	element:SetScaleY(1)
	element:SetOpacity(1)

	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.24849999248981)

	effector:SetKey(_TRACK_A, 0, -0.42715012195418)
	effector:SetKey(_TRACK_A, 0.10649999678135, 0.04606018844663)
	effector:SetKey(_TRACK_A, 0.2129999935627, -0.42715012195418)

	effector:Play()


	-- Layer Layer_12
	local element = CreateCompositionElement("data/Texture/Animations/rat_eating/r_leg.png")
	element:SetName("Layer_12")
	compositionrat_run:AddElement(element)
	element:SetHotSpot(23.5, 18.5)
	compositionrat_run:RegisterParentInfo("Layer_12", "Layer_11")
	element:SetXY(60.8190061336803, 51.1423740432182)

	element:SetScaleX(1)
	element:SetScaleY(1)
	element:SetOpacity(1)

	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.24849999248981)

	effector:SetKey(_TRACK_A, 0, -0.94811695692032)
	effector:SetKey(_TRACK_A, 0.10649999678135, -0.03682427711395)
	effector:SetKey(_TRACK_A, 0.2129999935627, -0.94811695692032)

	effector:Play()


	-- Layer Layer_13
	local element = CreateCompositionElement("data/Texture/Animations/rat_eating/shadow.png")
	element:SetName("Layer_13")
	compositionrat_run:AddElement(element)
	element:SetHotSpot(140.5, 50.5)
	element:SetParentElement(compositionrat_run)
	element:SetAngle(0)

	effector = element:GetEffector()
	effector:SetLifeTime(0, 5)

	effector:SetKey(_TRACK_X, 0, 309)
	effector:SetKey(_TRACK_Y, 0, 418)
	effector:SetKey(_TRACK_X, 0.1, 310.5)
	effector:SetKey(_TRACK_Y, 0.1, 411)
	effector:SetKey(_TRACK_X, 0.2, 309)
	effector:SetKey(_TRACK_Y, 0.2, 418)
	effector:SetKey(_TRACK_SX, 0, 0.94661921708185)
	effector:SetKey(_TRACK_SY, 0, 1.03960396039604)
	effector:SetKey(_TRACK_SX, 0.1, 0.91103202846975)
	effector:SetKey(_TRACK_SY, 0.1, 0.7029702970297)
	effector:SetKey(_TRACK_SX, 0.2, 0.94661921708185)
	effector:SetKey(_TRACK_SY, 0.2, 1.03960396039604)
	effector:SetKey(_TRACK_O, 0, 0.4)
	effector:SetKey(_TRACK_O, 0.1, 0.7)
	effector:SetKey(_TRACK_O, 0.2, 0.4)

	effector:Play()

	compositionrat_run:Play()

	return compositionrat_run
end
